﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace SmileCompany.Samples.Phone.StringFormat
{
    public class StringFormatConverter : DependencyObject, IValueConverter
    {
        public bool FormatEmptyStrings { get; set; }

        public StringFormatConverter()
        {
            FormatEmptyStrings = true;
        }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            String format = parameter as String;
            if (value == null || format == null)
                return value;

            if (value == String.Empty && !FormatEmptyStrings)
                return value;

            if (format.StartsWith("{}"))
                format = format.Substring(2);

            return String.Format(culture, format, value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
